OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_MarkerSelect Class Reference

`#include <StepVisual_MarkerSelect.hxx>`

Inheritance diagram for StepVisual_MarkerSelect:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_MarkerSelect ()
| Returns a MarkerSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a MarkerSelect Kind Entity that is : 0 else .
virtual Standard_EXPORT Handle_StepData_SelectMember | NewMember () const
| Returns a new MarkerMember .
virtual Standard_EXPORT Standard_Integer | CaseMem (const Handle(StepData_SelectMember)&sm) const
| Returns 1 for a SelectMember enum, named MARKER_TYPE .
Standard_EXPORT Handle_StepVisual_MarkerMember | MarkerMember () const
| Gives access to the MarkerMember in order to get/set its value .

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_MarkerSelect::StepVisual_MarkerSelect | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Standard_Integer StepVisual_MarkerSelect::CaseMem | ( | const Handle(StepData_SelectMember)& | sm | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Standard_Integer StepVisual_MarkerSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

Standard_EXPORT Handle_StepVisual_MarkerMember StepVisual_MarkerSelect::MarkerMember | ( |  | ) | const

virtual Standard_EXPORT Handle_StepData_SelectMember StepVisual_MarkerSelect::NewMember | ( |  | ) | const`[virtual]`

| Reimplemented from StepData_SelectType.

void StepVisual_MarkerSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_MarkerSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_MarkerSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

The documentation for this class was generated from the following file:

- StepVisual_MarkerSelect.hxx